Updated README: Equal sign not required with `--mode` flag.
[sgk-go] / Makefile.in
CommitLineData
7eeb782e
AT
1# Makefile.in generated by automake 1.9.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005 Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16srcdir = @srcdir@
17top_srcdir = @top_srcdir@
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkgincludedir = $(includedir)/@PACKAGE@
22top_builddir = .
23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24INSTALL = @INSTALL@
25install_sh_DATA = $(install_sh) -c -m 644
26install_sh_PROGRAM = $(install_sh) -c
27install_sh_SCRIPT = $(install_sh) -c
28INSTALL_HEADER = $(INSTALL_DATA)
29transform = $(program_transform_name)
30NORMAL_INSTALL = :
31PRE_INSTALL = :
32POST_INSTALL = :
33NORMAL_UNINSTALL = :
34PRE_UNINSTALL = :
35POST_UNINSTALL = :
36subdir = .
37DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
39 $(srcdir)/config.vcin $(top_srcdir)/configure AUTHORS COPYING \
40 ChangeLog INSTALL NEWS THANKS TODO depcomp install-sh missing \
41 mkinstalldirs
42ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43am__aclocal_m4_deps = $(top_srcdir)/configure.in
44am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45 $(ACLOCAL_M4)
46am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno configure.status.lineno
48mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
49CONFIG_HEADER = config.h
50CONFIG_CLEAN_FILES = config.vc
51SOURCES =
52DIST_SOURCES =
53RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
54 html-recursive info-recursive install-data-recursive \
55 install-exec-recursive install-info-recursive \
56 install-recursive installcheck-recursive installdirs-recursive \
57 pdf-recursive ps-recursive uninstall-info-recursive \
58 uninstall-recursive
59ETAGS = etags
60CTAGS = ctags
61DIST_SUBDIRS = $(SUBDIRS)
62DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
63distdir = $(PACKAGE)-$(VERSION)
64top_distdir = $(distdir)
65am__remove_distdir = \
66 { test ! -d $(distdir) \
67 || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
68 && rm -fr $(distdir); }; }
69DIST_ARCHIVES = $(distdir).tar.gz
70GZIP_ENV = --best
71distuninstallcheck_listfiles = find . -type f -print
72distcleancheck_listfiles = find . -type f -print
73ACLOCAL = @ACLOCAL@
74AMDEP_FALSE = @AMDEP_FALSE@
75AMDEP_TRUE = @AMDEP_TRUE@
76AMTAR = @AMTAR@
77AUTOCONF = @AUTOCONF@
78AUTOHEADER = @AUTOHEADER@
79AUTOMAKE = @AUTOMAKE@
80AWK = @AWK@
81CC = @CC@
82CCDEPMODE = @CCDEPMODE@
83CFLAGS = @CFLAGS@
84CPP = @CPP@
85CPPFLAGS = @CPPFLAGS@
86CYGPATH_W = @CYGPATH_W@
87DEFS = @DEFS@
88DEPDIR = @DEPDIR@
89DFA_ENABLED_FALSE = @DFA_ENABLED_FALSE@
90DFA_ENABLED_TRUE = @DFA_ENABLED_TRUE@
91ECHO_C = @ECHO_C@
92ECHO_N = @ECHO_N@
93ECHO_T = @ECHO_T@
94EGREP = @EGREP@
95EXEEXT = @EXEEXT@
96GCC_MAJOR_VERSION = @GCC_MAJOR_VERSION@
97GCC_MINOR_VERSION = @GCC_MINOR_VERSION@
98GCC_ONLY_FALSE = @GCC_ONLY_FALSE@
99GCC_ONLY_TRUE = @GCC_ONLY_TRUE@
100GNU_GO_WARNINGS = @GNU_GO_WARNINGS@
101GREP = @GREP@
102INSTALL_DATA = @INSTALL_DATA@
103INSTALL_PROGRAM = @INSTALL_PROGRAM@
104INSTALL_SCRIPT = @INSTALL_SCRIPT@
105INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
106LDFLAGS = @LDFLAGS@
107LIBOBJS = @LIBOBJS@
108LIBS = @LIBS@
109LTLIBOBJS = @LTLIBOBJS@
110MAINT = @MAINT@
111MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
112MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
113MAKEINFO = @MAKEINFO@
114OBJEXT = @OBJEXT@
115PACKAGE = @PACKAGE@
116PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
117PACKAGE_NAME = @PACKAGE_NAME@
118PACKAGE_STRING = @PACKAGE_STRING@
119PACKAGE_TARNAME = @PACKAGE_TARNAME@
120PACKAGE_VERSION = @PACKAGE_VERSION@
121PATH_SEPARATOR = @PATH_SEPARATOR@
122RANLIB = @RANLIB@
123SET_MAKE = @SET_MAKE@
124SHELL = @SHELL@
125STRIP = @STRIP@
126VERSION = @VERSION@
127ac_ct_CC = @ac_ct_CC@
128am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
129am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
130am__include = @am__include@
131am__leading_dot = @am__leading_dot@
132am__quote = @am__quote@
133am__tar = @am__tar@
134am__untar = @am__untar@
135bindir = @bindir@
136build_alias = @build_alias@
137datadir = @datadir@
138datarootdir = @datarootdir@
139docdir = @docdir@
140dvidir = @dvidir@
141exec_prefix = @exec_prefix@
142glibconfig = @glibconfig@
143host_alias = @host_alias@
144htmldir = @htmldir@
145includedir = @includedir@
146infodir = @infodir@
147install_sh = @install_sh@
148libdir = @libdir@
149libexecdir = @libexecdir@
150localedir = @localedir@
151localstatedir = @localstatedir@
152mandir = @mandir@
153mkdir_p = @mkdir_p@
154oldincludedir = @oldincludedir@
155pdfdir = @pdfdir@
156prefix = @prefix@
157program_transform_name = @program_transform_name@
158psdir = @psdir@
159sbindir = @sbindir@
160sharedstatedir = @sharedstatedir@
161sysconfdir = @sysconfdir@
162target_alias = @target_alias@
163SUBDIRS = utils sgf engine patterns interface doc regression
164DISTCLEANFILES = *~
165EXTRA_DIST = gnugo.dsw config.vc makevcdist.pl WINDOWS OSX CMakeLists.txt config.h.cmake stamp-h.in
166acdir = m4
167all: config.h
168 $(MAKE) $(AM_MAKEFLAGS) all-recursive
169
170.SUFFIXES:
171am--refresh:
172 @:
173$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
174 @for dep in $?; do \
175 case '$(am__configure_deps)' in \
176 *$$dep*) \
177 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
178 cd $(srcdir) && $(AUTOMAKE) --gnu \
179 && exit 0; \
180 exit 1;; \
181 esac; \
182 done; \
183 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
184 cd $(top_srcdir) && \
185 $(AUTOMAKE) --gnu Makefile
186.PRECIOUS: Makefile
187Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
188 @case '$?' in \
189 *config.status*) \
190 echo ' $(SHELL) ./config.status'; \
191 $(SHELL) ./config.status;; \
192 *) \
193 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
194 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
195 esac;
196
197$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
198 $(SHELL) ./config.status --recheck
199
200$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
201 cd $(srcdir) && $(AUTOCONF)
202$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
203 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
204
205config.h: stamp-h1
206 @if test ! -f $@; then \
207 rm -f stamp-h1; \
208 $(MAKE) stamp-h1; \
209 else :; fi
210
211stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
212 @rm -f stamp-h1
213 cd $(top_builddir) && $(SHELL) ./config.status config.h
214$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
215 cd $(top_srcdir) && $(AUTOHEADER)
216 rm -f stamp-h1
217 touch $@
218
219distclean-hdr:
220 -rm -f config.h stamp-h1
221config.vc: $(top_builddir)/config.status $(srcdir)/config.vcin
222 cd $(top_builddir) && $(SHELL) ./config.status $@
223uninstall-info-am:
224
225# This directory's subdirectories are mostly independent; you can cd
226# into them and run `make' without going through this Makefile.
227# To change the values of `make' variables: instead of editing Makefiles,
228# (1) if the variable is set in `config.status', edit `config.status'
229# (which will cause the Makefiles to be regenerated when you run `make');
230# (2) otherwise, pass the desired values on the `make' command line.
231$(RECURSIVE_TARGETS):
232 @failcom='exit 1'; \
233 for f in x $$MAKEFLAGS; do \
234 case $$f in \
235 *=* | --[!k]*);; \
236 *k*) failcom='fail=yes';; \
237 esac; \
238 done; \
239 dot_seen=no; \
240 target=`echo $@ | sed s/-recursive//`; \
241 list='$(SUBDIRS)'; for subdir in $$list; do \
242 echo "Making $$target in $$subdir"; \
243 if test "$$subdir" = "."; then \
244 dot_seen=yes; \
245 local_target="$$target-am"; \
246 else \
247 local_target="$$target"; \
248 fi; \
249 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
250 || eval $$failcom; \
251 done; \
252 if test "$$dot_seen" = "no"; then \
253 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
254 fi; test -z "$$fail"
255
256mostlyclean-recursive clean-recursive distclean-recursive \
257maintainer-clean-recursive:
258 @failcom='exit 1'; \
259 for f in x $$MAKEFLAGS; do \
260 case $$f in \
261 *=* | --[!k]*);; \
262 *k*) failcom='fail=yes';; \
263 esac; \
264 done; \
265 dot_seen=no; \
266 case "$@" in \
267 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
268 *) list='$(SUBDIRS)' ;; \
269 esac; \
270 rev=''; for subdir in $$list; do \
271 if test "$$subdir" = "."; then :; else \
272 rev="$$subdir $$rev"; \
273 fi; \
274 done; \
275 rev="$$rev ."; \
276 target=`echo $@ | sed s/-recursive//`; \
277 for subdir in $$rev; do \
278 echo "Making $$target in $$subdir"; \
279 if test "$$subdir" = "."; then \
280 local_target="$$target-am"; \
281 else \
282 local_target="$$target"; \
283 fi; \
284 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
285 || eval $$failcom; \
286 done && test -z "$$fail"
287tags-recursive:
288 list='$(SUBDIRS)'; for subdir in $$list; do \
289 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
290 done
291ctags-recursive:
292 list='$(SUBDIRS)'; for subdir in $$list; do \
293 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
294 done
295
296ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
297 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
298 unique=`for i in $$list; do \
299 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
300 done | \
301 $(AWK) ' { files[$$0] = 1; } \
302 END { for (i in files) print i; }'`; \
303 mkid -fID $$unique
304tags: TAGS
305
306TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
307 $(TAGS_FILES) $(LISP)
308 tags=; \
309 here=`pwd`; \
310 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
311 include_option=--etags-include; \
312 empty_fix=.; \
313 else \
314 include_option=--include; \
315 empty_fix=; \
316 fi; \
317 list='$(SUBDIRS)'; for subdir in $$list; do \
318 if test "$$subdir" = .; then :; else \
319 test ! -f $$subdir/TAGS || \
320 tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
321 fi; \
322 done; \
323 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
324 unique=`for i in $$list; do \
325 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
326 done | \
327 $(AWK) ' { files[$$0] = 1; } \
328 END { for (i in files) print i; }'`; \
329 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
330 test -n "$$unique" || unique=$$empty_fix; \
331 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
332 $$tags $$unique; \
333 fi
334ctags: CTAGS
335CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
336 $(TAGS_FILES) $(LISP)
337 tags=; \
338 here=`pwd`; \
339 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
340 unique=`for i in $$list; do \
341 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
342 done | \
343 $(AWK) ' { files[$$0] = 1; } \
344 END { for (i in files) print i; }'`; \
345 test -z "$(CTAGS_ARGS)$$tags$$unique" \
346 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
347 $$tags $$unique
348
349GTAGS:
350 here=`$(am__cd) $(top_builddir) && pwd` \
351 && cd $(top_srcdir) \
352 && gtags -i $(GTAGS_ARGS) $$here
353
354distclean-tags:
355 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
356
357distdir: $(DISTFILES)
358 $(am__remove_distdir)
359 mkdir $(distdir)
360 $(mkdir_p) $(distdir)/.
361 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
362 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
363 list='$(DISTFILES)'; for file in $$list; do \
364 case $$file in \
365 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
366 $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
367 esac; \
368 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
369 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
370 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
371 dir="/$$dir"; \
372 $(mkdir_p) "$(distdir)$$dir"; \
373 else \
374 dir=''; \
375 fi; \
376 if test -d $$d/$$file; then \
377 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
378 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
379 fi; \
380 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
381 else \
382 test -f $(distdir)/$$file \
383 || cp -p $$d/$$file $(distdir)/$$file \
384 || exit 1; \
385 fi; \
386 done
387 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
388 if test "$$subdir" = .; then :; else \
389 test -d "$(distdir)/$$subdir" \
390 || $(mkdir_p) "$(distdir)/$$subdir" \
391 || exit 1; \
392 distdir=`$(am__cd) $(distdir) && pwd`; \
393 top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
394 (cd $$subdir && \
395 $(MAKE) $(AM_MAKEFLAGS) \
396 top_distdir="$$top_distdir" \
397 distdir="$$distdir/$$subdir" \
398 distdir) \
399 || exit 1; \
400 fi; \
401 done
402 $(MAKE) $(AM_MAKEFLAGS) \
403 top_distdir="$(top_distdir)" distdir="$(distdir)" \
404 dist-hook
405 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
406 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
407 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
408 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
409 || chmod -R a+r $(distdir)
410dist-gzip: distdir
411 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
412 $(am__remove_distdir)
413
414dist-bzip2: distdir
415 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
416 $(am__remove_distdir)
417
418dist-tarZ: distdir
419 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
420 $(am__remove_distdir)
421
422dist-shar: distdir
423 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
424 $(am__remove_distdir)
425
426dist-zip: distdir
427 -rm -f $(distdir).zip
428 zip -rq $(distdir).zip $(distdir)
429 $(am__remove_distdir)
430
431dist dist-all: distdir
432 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
433 $(am__remove_distdir)
434
435# This target untars the dist file and tries a VPATH configuration. Then
436# it guarantees that the distribution is self-contained by making another
437# tarfile.
438distcheck: dist
439 case '$(DIST_ARCHIVES)' in \
440 *.tar.gz*) \
441 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
442 *.tar.bz2*) \
443 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
444 *.tar.Z*) \
445 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
446 *.shar.gz*) \
447 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
448 *.zip*) \
449 unzip $(distdir).zip ;;\
450 esac
451 chmod -R a-w $(distdir); chmod a+w $(distdir)
452 mkdir $(distdir)/_build
453 mkdir $(distdir)/_inst
454 chmod a-w $(distdir)
455 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
456 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
457 && cd $(distdir)/_build \
458 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
459 $(DISTCHECK_CONFIGURE_FLAGS) \
460 && $(MAKE) $(AM_MAKEFLAGS) \
461 && $(MAKE) $(AM_MAKEFLAGS) dvi \
462 && $(MAKE) $(AM_MAKEFLAGS) check \
463 && $(MAKE) $(AM_MAKEFLAGS) install \
464 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
465 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
466 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
467 distuninstallcheck \
468 && chmod -R a-w "$$dc_install_base" \
469 && ({ \
470 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
471 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
472 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
473 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
474 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
475 } || { rm -rf "$$dc_destdir"; exit 1; }) \
476 && rm -rf "$$dc_destdir" \
477 && $(MAKE) $(AM_MAKEFLAGS) dist \
478 && rm -rf $(DIST_ARCHIVES) \
479 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
480 $(am__remove_distdir)
481 @(echo "$(distdir) archives ready for distribution: "; \
482 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
483 sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
484distuninstallcheck:
485 @cd $(distuninstallcheck_dir) \
486 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
487 || { echo "ERROR: files left after uninstall:" ; \
488 if test -n "$(DESTDIR)"; then \
489 echo " (check DESTDIR support)"; \
490 fi ; \
491 $(distuninstallcheck_listfiles) ; \
492 exit 1; } >&2
493distcleancheck: distclean
494 @if test '$(srcdir)' = . ; then \
495 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
496 exit 1 ; \
497 fi
498 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
499 || { echo "ERROR: files left in build directory after distclean:" ; \
500 $(distcleancheck_listfiles) ; \
501 exit 1; } >&2
502check-am: all-am
503check: check-recursive
504all-am: Makefile config.h
505installdirs: installdirs-recursive
506installdirs-am:
507install: install-recursive
508install-exec: install-exec-recursive
509install-data: install-data-recursive
510uninstall: uninstall-recursive
511
512install-am: all-am
513 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
514
515installcheck: installcheck-recursive
516install-strip:
517 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
518 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
519 `test -z '$(STRIP)' || \
520 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
521mostlyclean-generic:
522
523clean-generic:
524
525distclean-generic:
526 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
527 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
528
529maintainer-clean-generic:
530 @echo "This command is intended for maintainers to use"
531 @echo "it deletes files that may require special tools to rebuild."
532clean: clean-recursive
533
534clean-am: clean-generic mostlyclean-am
535
536distclean: distclean-recursive
537 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
538 -rm -f Makefile
539distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
540
541dvi: dvi-recursive
542
543dvi-am:
544
545html: html-recursive
546
547info: info-recursive
548
549info-am:
550
551install-data-am:
552
553install-exec-am:
554
555install-info: install-info-recursive
556
557install-man:
558
559installcheck-am:
560
561maintainer-clean: maintainer-clean-recursive
562 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
563 -rm -rf $(top_srcdir)/autom4te.cache
564 -rm -f Makefile
565maintainer-clean-am: distclean-am maintainer-clean-generic
566
567mostlyclean: mostlyclean-recursive
568
569mostlyclean-am: mostlyclean-generic
570
571pdf: pdf-recursive
572
573pdf-am:
574
575ps: ps-recursive
576
577ps-am:
578
579uninstall-am: uninstall-info-am
580
581uninstall-info: uninstall-info-recursive
582
583.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
584 check-am clean clean-generic clean-recursive ctags \
585 ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-hook \
586 dist-shar dist-tarZ dist-zip distcheck distclean \
587 distclean-generic distclean-hdr distclean-recursive \
588 distclean-tags distcleancheck distdir distuninstallcheck dvi \
589 dvi-am html html-am info info-am install install-am \
590 install-data install-data-am install-exec install-exec-am \
591 install-info install-info-am install-man install-strip \
592 installcheck installcheck-am installdirs installdirs-am \
593 maintainer-clean maintainer-clean-generic \
594 maintainer-clean-recursive mostlyclean mostlyclean-generic \
595 mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
596 uninstall uninstall-am uninstall-info-am
597
598
599maintainer-check:
600
601# Tag before making distribution. Also, don't make a distribution if
602# checks fail. Also, make sure the NEWS file is up-to-date.
603cvs-dist: maintainer-check
604 pkg=`echo "@PACKAGE@" | tr a-z A-Z`; \
605 ver=`echo "@VERSION@" | sed 's/\./_/g'`; \
606 tag="$$pkg-$$ver"; \
607 echo tag=$$tag; \
608 if cvs -n log -h README| grep -e $$tag > /dev/null; then \
609 echo "VERSION not new; not releasing" 1>&2; \
610 exit 1; \
611 else :; \
612 fi; \
613 cvs tag -c $$tag
614 $(MAKE) dist
615
616dist-hook:
617 cd $(distdir) \
618 && find . '(' -name '*.rej' -o -name '*.orig' ')' -exec rm '{}' ';'
619
620vpathcheck: dist
621 -rm -rf $(distdir)
622 GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
623 mkdir $(distdir)/=build
624 mkdir $(distdir)/=inst
625 dc_install_base=`cd $(distdir)/=inst && pwd`; \
626 cd $(distdir)/=build \
627 && ../configure --srcdir=.. --prefix=$$dc_install_base \
628 && $(MAKE) $(AM_MAKEFLAGS) \
629 && $(MAKE) $(AM_MAKEFLAGS) dvi \
630 && $(MAKE) $(AM_MAKEFLAGS) check \
631 && $(MAKE) $(AM_MAKEFLAGS) install \
632 && $(MAKE) $(AM_MAKEFLAGS) installcheck
633 -rm -rf $(distdir)
634 @banner="Successful VPATH build for $(distdir).tar.gz"; \
635 dashes=`echo "$$banner" | sed s/./=/g`; \
636 echo "$$dashes"; \
637 echo "$$banner"; \
638 echo "$$dashes"
639@MAINT@aclocal-files: configure.in
640@MAINT@ echo 'acfiles = \' > $@-tmp
641@MAINT@ find $(acdir) -type f -name '*.m4' -print \
642@MAINT@ | sed 's!^!$(top_srcdir)/!' \
643@MAINT@ | tr '\012' ' ' \
644@MAINT@ >> $@-tmp
645@MAINT@ echo >> $@-tmp
646@MAINT@ mv $@-tmp $@
647
648@MAINT@include aclocal-files
649
650@MAINT@# Override default rule to use --acdir option
651@MAINT@$(srcdir)/aclocal.m4: configure.in $(acfiles)
652@MAINT@ cd $(srcdir) && aclocal --acdir=$(acdir)
653# Tell versions [3.59,3.63) of GNU make to not export all variables.
654# Otherwise a system limit (for SysV at least) may be exceeded.
655.NOEXPORT: